/*
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2016 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['jquery.sap.global'],function(q){"use strict";var C={};C.render=function(r,l){var s=l.getAggregation("standardItems");var c=l.getItems();var i=0;r.write("<div");r.writeControlData(l);r.addClass("sapUiUnifiedLegend");r.writeClasses();var a=l.getColumnWidth();r.writeAttribute("style","column-width:"+a+";-moz-column-width:"+a+";-webkit-column-width:"+a+";");r.writeStyles();r.write(">");var I=l.getId().length+1;for(i=0;i<s.length;i++){var b="sapUiUnifiedLegend"+s[i].getId().slice(I);this.renderLegendItem(r,b,s[i]);}if(c&&c.length>0){var f=q.extend({},sap.ui.unified.CalendarDayType);delete f[sap.ui.unified.CalendarDayType.None];var t="";var T=0;for(t in f){T++;}for(i=0;i<c.length;i++){t=c[i].getType();if(t&&t!=sap.ui.unified.CalendarDayType.None&&f[t]){delete f[t];}}var F=[];for(t in f){F.push(t);}for(i=0;i<c.length;i++){t=c[i].getType();if(!t||t==sap.ui.unified.CalendarDayType.None){if(F[0]){t=F[0];F.splice(0,1);}else{T++;t="Type"+T;}}this.renderLegendItem(r,"sapUiCalLegDayType"+t.slice(4),c[i]);}}r.write("</div>");};C.renderLegendItem=function(r,c,i){var t=i.getText();var T=i.getTooltip_AsString();r.write("<div");r.writeElementData(i);if(T){r.writeAttributeEscaped('title',T);}r.addClass("sapUiUnifiedLegendItem");r.addClass(c);r.writeClasses();r.write(">");r.write("<div");r.addClass("sapUiUnifiedLegendSquare");r.writeClasses();r.write(">");r.write("<div");r.addClass("sapUiUnifiedLegendSquareColor");r.writeClasses();r.write("></div></div>");r.write("<div");r.addClass("sapUiUnifiedLegendDescription");r.writeClasses();r.write(">");r.writeEscaped(t);r.write("</div></div>");};return C;},true);
